Vulnerabilities (CVE)

Filtered by vendor P11-kit Project Subscribe
Filtered by product P11-kit
Total 3 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-29361 2 Debian, P11-kit Project 2 Debian Linux, P11-kit 2022-08-06 5.0 MEDIUM 7.5 HIGH
An issue was discovered in p11-kit 0.21.1 through 0.23.21. Multiple integer overflows have been discovered in the array allocations in the p11-kit library and the p11-kit list command, where overflow checks are missing before calling realloc or calloc.
CVE-2020-29363 3 Debian, Oracle, P11-kit Project 3 Debian Linux, Communications Cloud Native Core Policy, P11-kit 2022-05-12 5.0 MEDIUM 7.5 HIGH
An issue was discovered in p11-kit 0.23.6 through 0.23.21. A heap-based buffer overflow has been discovered in the RPC protocol used by p11-kit server/remote commands and the client library. When the remote entity supplies a serialized byte array in a CK_ATTRIBUTE, the receiving entity may not allocate sufficient length for the buffer to store the deserialized value.
CVE-2020-29362 1 P11-kit Project 1 P11-kit 2021-01-11 5.0 MEDIUM 5.3 MEDIUM
An issue was discovered in p11-kit 0.21.1 through 0.23.21. A heap-based buffer over-read has been discovered in the RPC protocol used by thep11-kit server/remote commands and the client library. When the remote entity supplies a byte array through a serialized PKCS#11 function call, the receiving entity may allow the reading of up to 4 bytes of memory past the heap allocation.